org.apache.struts2.dispatcher

## Class DefaultActionSupport

- java.lang.Object
- - org.apache.struts2.ActionSupport
  - - com.opensymphony.xwork2.ActionSupport
    - - org.apache.struts2.dispatcher.DefaultActionSupport

- All Implemented Interfaces:
    LocaleProvider, TextProvider, Serializable, Action, ValidationAware, Validateable

      public class DefaultActionSupport
      extends ActionSupport

  A simple action support class that sets properties to be able to serve
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `ValidationAware.LegacyAdapter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.ActionSupport

      `container`

    - ### Fields inherited from interface org.apache.struts2.action.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultActionSupport()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `execute()` A default implementation that does nothing an returns "success".
    `String` | `getSuccessResultValue()`
    `void` | `setSuccessResultValue(String successResultValue)`

    - ### Methods inherited from class org.apache.struts2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.struts2.Validateable

      `validate`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `adapt`

    - ### Methods inherited from interface org.apache.struts2.interceptor.ValidationAware

      `addActionError, addActionMessage, addFieldError, getActionErrors, getActionMessages, getFieldErrors, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, setActionErrors, setActionMessages, setFieldErrors`

- - ### Constructor Detail

    - #### DefaultActionSupport

          public DefaultActionSupport()

      Constructor

  - ### Method Detail

    - #### execute

          public String execute()
                         throws Exception

      Description copied from class: `ActionSupport`
      A default implementation that does nothing an returns "success".

      Subclasses should override this method to provide their business logic.

      See also `Action.execute()`.

      Specified by:
        `execute` in interface `Action`
      Overrides:
        `execute` in class `ActionSupport`
      Returns:
        returns `Action.SUCCESS`
      Throws:
        `Exception` - can be thrown by subclasses.

    - #### getSuccessResultValue

          public String getSuccessResultValue()

      Returns:
        Returns the successResultValue.

    - #### setSuccessResultValue

          public void setSuccessResultValue(String successResultValue)

      Parameters:
        `successResultValue` - The successResultValue to set.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.